StrategyReader
Keywords: yacs.net.StrategyReader class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## yacs.net
Class StrategyReader

    java.lang.Object
      yacs.net.StrategyReader

public class StrategyReader
extends java.lang.Object

XML-Parser, der aus der übergebenen Datei die Constraint-Lösungsstrategien ausliest und die entsprechende Objekte (Instanzen der Klasse `yacs.net.Strategy`) instantiiert.

Copyright (C) 2005 Wolfgang Runte
This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Version:
  YACS 0.1.1
Author:
  Wolfgang Runte (woru@tzi.org)

Constructor Summary
`StrategyReader(java.lang.String strategyPath)`

Method Summary
`java.util.List` | `getStrategies()` Liefert die eingelesenen Strategien als Liste (enthält Instanzen der Klasse `yacs.net.Strategy`).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrategyReader

    public StrategyReader(java.lang.String strategyPath)

Method Detail

### getStrategies

    public java.util.List getStrategies()

  Liefert die eingelesenen Strategien als Liste (enthält Instanzen der Klasse `yacs.net.Strategy`).

  Returns:
    List

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD